Bug 442807

Summary: gnome-keyring ignores and prevents use of my already-running ssh-agent
Product: [Fedora] Fedora Reporter: Nalin Dahyabhai <nalin>
Component: gnome-keyringAssignee: Tomáš Bžatek <tbzatek>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 9CC: tsmetana
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 12:34:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235705    

Description Nalin Dahyabhai 2008-04-16 17:51:51 EDT
Description of problem:
Before I ran startx, I had a copy of ssh-agent running.  When I fire up X,
$SSH_AUTH_SOCK points to a gnome-keyring socket inside my X session.

Version-Release number of selected component (if applicable):
2.22.1-1.fc9

How reproducible:
Always

Steps to Reproduce:
1. Boot to runlevel 3.
2. Start up an ssh-agent, add your keys to it, and then run "startx".
3. Try to use the SSH client in a way that will make it try to use your pubkey.
  
Actual results:
A dialog box pops up.  My agent already had the keys.

Expected results:
No dialog, it should have just worked.
Comment 1 Matthias Clasen 2008-04-16 18:30:19 EDT
Related upstream bug http://bugzilla.gnome.org/show_bug.cgi?id=519487
Comment 2 Matthias Clasen 2008-04-16 20:04:53 EDT
An even closer related upstream bug: 

http://bugzilla.gnome.org/show_bug.cgi?id=519486

This page lists some ways to keep the gnome-keyring ssh-agent from running, e.g

gconftool-2 --set -t bool /apps/gnome-keyring/daemon-components/ssh false



Comment 3 Matthias Clasen 2008-04-16 20:06:02 EDT
Forgotten link: http://live.gnome.org/GnomeKeyring/Ssh
Comment 4 Bug Zapper 2008-05-14 05:33:19 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 20:13:34 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:34:44 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.